Loading...
Searching...
No Matches
PolynomialParam.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Arrays/ArrayFwd.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/casa/Utilities/Assert.h>`
`#include <casacore/scimath/Functionals/Function1D.h>`

Go to the source code of this file.

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

| casacore::PolynomialParam ()
| casacore::PolynomialParam (uInt order)
| Makes a polynomial of the given order, with all coeficcients set to zero.
| casacore::PolynomialParam (const PolynomialParam< T > &other)
| Make this a copy of other (deep copy).
template<class W>
| casacore::PolynomialParam (const PolynomialParam< W > &other)
PolynomialParam< T > & | casacore::operator= (const PolynomialParam< T > &other)
| casacore::~PolynomialParam ()
| Destructor.
Bool | casacore::operator== (const PolynomialParam< T > &other) const
| Comparisons.
Bool | casacore::operator!= (const PolynomialParam< T > &other) const
String | casacore::name () const
| Return the name of the field.
uInt | casacore::order () const
| What is the order of the polynomial, i.e.
T | casacore::coefficient (uInt which) const
| What is the which'th coefficient of the polynomial.
const Vector< T > & | casacore::coefficients () const
| Return all the coefficients as a vector.
void | casacore::setCoefficient (uInt which, const T value)
| Set the which'th coefficient to value.
void | casacore::setCoefficients (const Vector< T > &coefficients)
| Set all the coefficients at once, throw away all existing coefficients.